> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tulipai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an inference request



## OpenAPI

````yaml /gateway-reference/openapi.yaml get /v1/requests/{id}
openapi: 3.1.0
info:
  title: Tulip Gateway API
  version: 2.0.0
  description: >-
    Offer-aware model discovery, quotes, OpenAI-compatible inference, provider
    onboarding, and settlement for Tulip v1 model markets.
servers: []
security: []
tags:
  - name: Service
  - name: Models
  - name: Inference
  - name: Providers
  - name: Settlement
paths:
  /v1/requests/{id}:
    get:
      tags:
        - Inference
      summary: Get an inference request
      operationId: getRequest
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Hex32'
      responses:
        '200':
          description: Request, metering, receipt, and settlement state.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '404':
          $ref: '#/components/responses/Error'
      security:
        - TulipApiKey: []
components:
  schemas:
    Hex32:
      type: string
      pattern: ^0x[0-9a-fA-F]{64}$
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            type:
              type: string
            message:
              type: string
          required:
            - code
            - type
            - message
      required:
        - error
  responses:
    Error:
      description: Tulip error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    TulipApiKey:
      type: http
      scheme: bearer
      bearerFormat: Tulip API key

````